# List of all customers Using this endpoint, you can get list of all customers with detailed info of each customer (like in Customer Detail endpoint) asynchronously. See how Asynchronous requests work on our developer's portal. Response will be in jsonlines format with each customer taking one line of output file. One customer in response has the same format as customer detail response. See Customer snapshot schema for more details. Result file is compressed using GZIP. Endpoint: GET /api/customers/snapshot Version: 1.0.0 Security: shoptetAccessToken, shoptetPrivateApiToken ## Query parameters: - `creationTimeFrom` (string) Export customers created after date Example: "2014-09-05T00:00:00+0100" - `creationTimeTo` (string) Export customers created before date Example: "2019-09-05T00:00:00+0100" - `changeTimeFrom` (string) Export customers changed after date Example: "2017-01-01T00:00:00+0100" - `changeTimeTo` (string) Export customers changed before date Example: "2018-12-31T00:00:00+0100" ## Header parameters: - `Content-Type` (string, required) ## Response 202 fields (application/json): - `data` (object) - `data.jobId` (string, required) token of job - `errors` (array,null) - `errors.errorCode` (string, required) Short text error identification - `errors.message` (string, required) Descriptive error message - `errors.instance` (string, required) Identification of the entity referenced